#ifndef _VARIABLE_H_
#define _VARIABLE_H_


#include "Lists.hpp"

/*
 * Copyright 1993, 2000 Christopher Seiwald.
 *
 * This file is part of Jam - see jam.c for Copyright information.
 */

/*
 * variable.h - handle jam multi-element variables
 */

void 	var_defines( char **e );
int 	var_string( const char *in, char *out, const int outsize, LOL *lol );
Jam::List * 	var_get( const char *symbol );
void 	var_set( const char *symbol, Jam::List *value, int flag );
Jam::List * 	var_swap( const char *symbol, Jam::List *value );
void 	var_done();

/*
 * Defines for var_set().
 */

enum
{
	VAR_SET     = 0, /* override previous value */
	VAR_APPEND  = 1, /* append to previous value */
	VAR_DEFAULT = 2  /* set only if no previous value */
};


#endif